# Payment History

## Payment History

<mark style="color:blue;">`GET`</mark> `https://api-alpha.dev.bantupay.org/v2/users/{username}/payments`

#### Path Parameters

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| username | string |             |

#### Query Parameters

| Name | Type    | Description                                |
| ---- | ------- | ------------------------------------------ |
| temp | boolean | Returns payment history of payment account |

#### Headers

| Name                  | Type   | Description                                                                      |
| --------------------- | ------ | -------------------------------------------------------------------------------- |
| X-BANTUPAY-PUBLIC-KEY | string | your bantu blockchain public key                                                 |
|                       | string | <p>payload can be signed with <https://request-signer.dev.bantu.network><br></p> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "pageCursor": "8129621472055297",
  "payments": [
    {
      "destinationUsername": "richard",
      "destinationFirstName": "RICHA",
      "destinationLastName": "RIC",
      "destinationThumbnail": "",
      "senderUsername": "richard",
      "senderFirstName": "RICHA",
      "senderLastName": "RIC",
      "senderThumbnail": "",
      "amount": "200.0000000",
      "assetCode": "FEE",
      "assetIssuer": "GDRK25QFQZBU3BONU4TAAPKWQQEERZB2POIPI2EM4GRTKCHXCQK27PY2",
      "sourceAssetCode": "",
      "sourceAssetIssuer": "",
      "transactionID": "f8fdd49eaa392e7979b62b7416dd59ca8a339a3650e998c22b11e9a62a5a2774",
      "transactionMemo": "claim-asset",
      "transactionTime": "2021-02-06T19:10:58Z"
    }
  ]
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
  "error": "string",
  "data": "string",
  "message": "string"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.bantupay.org/payments/payment-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
